using UnityEngine;
using System.Collections;

public class Level : MonoBehaviour
{
    protected Story m_Story;

    #region Initialization
    protected virtual void Start()
    {
        m_Story = GetComponent<Story>();
        GameManager gm = GameManager.Instance;
	}

    public virtual void SetStoryProgress(int state)
    {
        m_Story.InitializeProgress(state);
    }
    #endregion

    public virtual void UpdateLevel()
    {
        m_Story.UpdateStory();
	}

    #region Events
    public virtual void SaveProgress()
    {
    }

    public virtual void LoadProgress()
    {
    }

    public virtual void Lost()
    {
    }
    #endregion
}